TOPLEVEL_LANG ?= verilog

PWD=$(shell pwd)

ifeq ($(OS),Msys)
WPWD=$(shell sh -c 'pwd -W')
PYTHONPATH := $(WPWD);$(PYTHONPATH)
else
WPWD=$(shell pwd)
PYTHONPATH := $(WPWD):$(PYTHONPATH)
endif

ifeq ($(TOPLEVEL_LANG),verilog)
    VERILOG_SOURCES = /scratch/gitlab-builds/releases/fbox/mk_fpu_add_sub_dp_instance/mk_fpu_add_sub_dp_instance.v

else
    $(error "A valid value (verilog or vhdl) was not provided for TOPLEVEL_LANG=$(TOPLEVEL_LANG)")
endif

TOPLEVEL := mk_fpu_add_sub_dp_instance
MODULE := "\
        test_fpu_mk_add_sub_dp_instance,\
        test_fpu_mk_add_sub_dp_instance_sub,\
        "

include $(shell cocotb-config --makefiles)/Makefile.sim

